// ===========================================================================
//	CCloseTask.cp		1999-2002 Metrowerks Corporation.  All rights reserved.
// ===========================================================================
//	Original author: John C. Daub. Thanx to Rick Aurbach for the idea.
//
//	Inheriting from LOneTimeTask, performs the dispatching of cmd_Close
//	to the given target.

#include "CCloseTask.h"
#include <PP_Messages.h>


CCloseTask::CCloseTask(
	LCommander*		inTarget)
	
	: LOneTimeTask(periodicTaskType_Repeat)		// must trigger at repeat time
{
	ThrowIfNil_(inTarget);
	
	mTarget = inTarget;
}

CCloseTask::~CCloseTask()
{
}


void
CCloseTask::Perform()
{
	mTarget->ProcessCommand(cmd_Close);
}