// ===========================================================================
//	CCMURLAttachment.cp	1999-2002 Metrowerks Corporation.  All rights reserved.
// ===========================================================================
//	Original Author: John C. Daub
//
//	A simple variant of LCMAttachment for use with CURLCaption

#ifdef PowerPlant_PCH
	#include PowerPlant_PCH
#endif

#include "CCMURLAttachment.h"

const	CommandT	cmd_CopyURLToClipboard		= FOUR_CHAR_CODE('Cu2C');

// ---------------------------------------------------------------------------
//	 CCMURLAttachment						Default Constructor		  [public]
// ---------------------------------------------------------------------------

CCMURLAttachment::CCMURLAttachment()
{
}


// ---------------------------------------------------------------------------
//	 CCMWindowAttachment					Stream Constructor		  [public]
// ---------------------------------------------------------------------------

CCMURLAttachment::CCMURLAttachment(
	LStream*	inStream)

	: LCMAttachment(inStream)
{
}


// ---------------------------------------------------------------------------
//	 CCMWindowAttachment					Parameterized Constructor [public]
// ---------------------------------------------------------------------------

CCMURLAttachment::CCMURLAttachment(
	LCommander*		inTarget,
	PaneIDT			inTargetPaneID)
	
	: LCMAttachment(inTarget, inTargetPaneID)
{
}


// ---------------------------------------------------------------------------
//	 ~CCMURLAttachment						Destructor		 [public, virtual]
// ---------------------------------------------------------------------------

CCMURLAttachment::~CCMURLAttachment()
{
}


// ---------------------------------------------------------------------------
//	 PopulateMenu										[protected, virtual]
// ---------------------------------------------------------------------------

void
CCMURLAttachment::PopulateMenu(
	MenuHandle	inMenuH)
{
	LCMAttachment::PopulateMenu(inMenuH);
	
		// Add a divider line
	AddCommand(inMenuH, cmd_Nothing);
	
		// A command not already in the menu bar
	AddCommand(inMenuH, cmd_CopyURLToClipboard, StringLiteral_("Copy URL to Clipboard"));
}
